<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 2/7/16
 * Time: 7:59 PM
 */

namespace qfq;


/**
 * Class ErrorHandler
 * @package qfq
 */
class ErrorHandler {


    /**
     * @param $severity
     * @param $message
     * @param $file
     * @param $line
     * @return bool|string
     */
    public static function exception_error_handler($severity, $message, $file, $line) {

        if (!(error_reporting() & $severity)) {
            // This error code is not included in error_reporting
            return false;
        }

        // Do not show too much to the user. E.g. 'ldap_bind()' might have problems, but the user should not see the file and linenumber.
//        throw new CodeException($message, $severity, null);

        return '';
    }

}